6.0.0-git
2021-01-18

[#937] Message highlighting
Summary Message highlighting
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester graham.freeman (at) cernio (dot) com
Created 2004-12-03 (5890 days ago)
Due
Updated 2010-01-13 (4023 days ago)
Assigned 2006-01-28 (5469 days ago)
Resolved 2009-04-02 (4309 days ago)
Milestone 5
Patch No

History
2010-01-13 00:01:13 CVS Commit Comment #19 Reply to this comment
Changes have been made in Git for this ticket:

New message flagging code.
Framework is in place to allow user-defined
flags/keywords/labels/whatever you want to call them. All code is
present except for actual viewing of the user-defined flags. Still
working out the UI - I think it is going to end up looking like the
message labeling as seen in Gmail - trying to allow custom icons is way
beyond the scope of this feature. But the flags are correctly set on
the messages.

This implements (most) of Ticket #937.

  create mode 100644 imp/js/src/flagmanagement.js
  create mode 100644 imp/lib/Imap/Flags.php
  create mode 100644 imp/templates/prefs/flagmanagement.inc
  delete mode 100644 imp/themes/graphics/mail_notanswered.png
  delete mode 100644 imp/themes/graphics/mail_notdraft.png
  delete mode 100644 imp/themes/silver/graphics/mail_notanswered.png
  delete mode 100644 imp/themes/silver/graphics/mail_notdraft.png
http://git.horde.org/diff.php/imp/config/conf.xml?rt=horde-git&r1=96801eeee12ba3e22bf970be32f1733faa17f635&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/config/hooks.php.dist?rt=horde-git&r1=380941d3a11d4c64e0bab0339158ff799d3674a7&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/config/prefs.php.dist?rt=horde-git&r1=06d51f0a968ad6a0a7e6b72b6b911bd01e560e4c&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=aae805cf3895a62ffb96d77095f6499133f7aeee&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/docs/RFCS?rt=horde-git&r1=aae805cf3895a62ffb96d77095f6499133f7aeee&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/docs/UPGRADING?rt=horde-git&r1=06d51f0a968ad6a0a7e6b72b6b911bd01e560e4c&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/ContextSensitive.js?rt=horde-git&r1=06dba53cec4533ecd269fc2a56f2fdc114e67825&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/DimpBase.js?rt=horde-git&r1=69fcb704aba86c3e7c6e6b50774d0d41cb02f1b8&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/DimpCore.js?rt=horde-git&r1=4558bcc7c95801f6aa2f5cb942fbe64341115bed&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/ViewPort.js?rt=horde-git&r1=e7ee9d9c28a49d9fdf3147eaa2801388331b6492&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/compose-dimp.js?rt=horde-git&r1=c07c866e16347611ebcbf0f7a8dea7d246c8ca43&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/co.php/imp/js/src/flagmanagement.js?rt=horde-git&r=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/fullmessage-dimp.js?rt=horde-git&r1=69fcb704aba86c3e7c6e6b50774d0d41cb02f1b8&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/mailbox.js?rt=horde-git&r1=164f1ac06543ddbe6767fa6842bcf8ebf7633d0b&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/js/src/message.js?rt=horde-git&r1=58ab073916586f1ff41b404d37040f38d6cfd0e7&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/DIMP.php?rt=horde-git&r1=94f6cfff28bb8866966a7a1c71390f523002788a&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/IMP.php?rt=horde-git&r1=998382d6723db763affbbba342a8d91c02984677&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/co.php/imp/lib/Imap/Flags.php?rt=horde-git&r=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/Mailbox.php?rt=horde-git&r1=ebb7d42c3251a8ca72c9ff1c8ec29ae30ab8e59f&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/UI/Mailbox.php?rt=horde-git&r1=d6f707a5eb5e191f20cb8242a9037334b7e1cd8b&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/Views/ListMessages.php?rt=horde-git&r1=d5d067dbaaa63aeae6eed60492dea04d3dce9afe&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/Views/ShowMessage.php?rt=horde-git&r1=aae805cf3895a62ffb96d77095f6499133f7aeee&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/lib/prefs.php?rt=horde-git&r1=cdcd54b75d1cc39363b6db83c34866782562391a&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/mailbox-mimp.php?rt=horde-git&r1=27389d2d84bf5b7eb658732f56d7e1e6984c753e&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/mailbox.php?rt=horde-git&r1=668c4fae60b7abc5e9a54248a78b29bb1b3d8436&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/message-mimp.php?rt=horde-git&r1=aedc2a5138e85c86bbfa0011273f2bdcd898be7a&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/message.php?rt=horde-git&r1=aae805cf3895a62ffb96d77095f6499133f7aeee&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/rss.php?rt=horde-git&r1=2813aaf25aa91219930609fa899932116e2f0771&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/index/index-dimp.inc?rt=horde-git&r1=3e277f2890a82954a480e3782bcab6fc502ed6ed&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/javascript/mailbox-dimp.js?rt=horde-git&r1=d6f707a5eb5e191f20cb8242a9037334b7e1cd8b&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/javascript_defs.php?rt=horde-git&r1=94f6cfff28bb8866966a7a1c71390f523002788a&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/mailbox/mailbox.html?rt=horde-git&r1=c26d7b0543204d97fc8f1febb2561ec6102b7cba&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/mailbox/navbar.html?rt=horde-git&r1=71d40176b8004113e56bda21d93c89dc7c5bf012&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/message/navbar_navigate.html?rt=horde-git&r1=63a961c1bf9058f61181934844699e3a6b9b881c&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/templates/message/navbar_top.html?rt=horde-git&r1=29d05715d9b9f696cfe0e56cec8f9877a4d1235e&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/co.php/imp/templates/prefs/flagmanagement.inc?rt=horde-git&r=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/graphics/mail_notanswered.png?rt=horde-git&r1=164045a780638b1e64ccfb45e4b47091d5bf845c&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/graphics/mail_notdraft.png?rt=horde-git&r1=448b109e0839fd6d4760b7d8829a44d3928fd8d5&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/screen-dimp.css?rt=horde-git&r1=3e277f2890a82954a480e3782bcab6fc502ed6ed&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/screen.css?rt=horde-git&r1=23dcc7a1177297cb7be5f1cc31297c14e9fcd051&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/silver/graphics/mail_notanswered.png?rt=horde-git&r1=164045a780638b1e64ccfb45e4b47091d5bf845c&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/silver/graphics/mail_notdraft.png?rt=horde-git&r1=448b109e0839fd6d4760b7d8829a44d3928fd8d5&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/silver/screen-dimp.css?rt=horde-git&r1=d5d067dbaaa63aeae6eed60492dea04d3dce9afe&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
http://git.horde.org/diff.php/imp/themes/silver/screen.css?rt=horde-git&r1=c8153297b864d07fae2815e94182c0b7d3a96bab&r2=2ea274eddb56da98fc5af2bcf21f01dc8dda0970
2009-04-02 21:18:17 Michael Slusarz Comment #18
State ⇒ Resolved
Milestone ⇒ 5
Reply to this comment
Added to IMP 5.
2009-03-12 20:44:26 Michael Slusarz Assigned to Michael Slusarz
 
2009-03-12 20:44:14 Michael Slusarz Comment #16
Version ⇒ Git master
Reply to this comment
This should be done entirely in IMP, since this will become the custom 
flags interface.  Prefs_CategoryManager is not going to be useful here 
since the various categories are exclusive to IMAP and not used 
internally in the rest of Horde.   Additionally, icon support needs to 
be added also, at least for the built-in IMAP flags - allowing custom 
icons is probably going to be way beyond the scope of the initial phase.
2008-11-09 01:44:31 Chuck Hagenbuch Deleted Original Message
 
2008-11-09 01:41:56 Chuck Hagenbuch Comment #15
Taken from Horde DevelopersHorde Developers
State ⇒ Accepted
Patch ⇒ No
Reply to this comment
Moving this back to an accepted feature request, since it's a 
possibility (though not guaranteed) for IMP 5 with the new IMAP lib, 
in conjunction with a new version of Ingo.
2006-11-21 02:31:03 Chuck Hagenbuch Comment #14
State ⇒ Stalled
Reply to this comment
I don't want to discourage your contribution at all, but I think I 
agree with Jan - this needs to be done either entirely in IMP or 
entirely in Ingo - probably in combination with the fetchmail colors 
functionality - and likely that means waiting for a new imap library.
2006-11-19 23:29:31 Chuck Hagenbuch Deleted Original Message
 
2006-02-11 10:51:54 Jan Schneider Comment #13 Reply to this comment
I personally don't think this makes any sense as a separate 
application, because it duplicates tons of code from imp and ingo.
2006-02-11 06:37:56 hordedev (at) markbs (dot) com Comment #12 Reply to this comment
Hi,



There is a small patch that is needed against the alpha2 tar I 
uploaded.  There was a missing break stmt:



--- MINE/isee-h3-0.0.1-alpha2/lib/api.php       2005-12-06 
12:53:55.000000000 -0500

+++ horde/isee-h3-0.0.1-alpha2/lib/api.php      2005-12-06 
17:21:05.000000000 -0500

@@ -109,6 +109,7 @@

         break;

        case 'to or cc':

         $fieldList = array($h_to, $h_cc);

+       break;

        default:

         $fieldList = null;

         break;



I'm interested in feedback on the code and would be happy to help out.



I've been using it for quite some time now and it seems to work well 
(heh, at least for me).



Thanks.


2006-02-04 02:48:43 graham (dot) freeman (at) cernio (dot) com Comment #11 Reply to this comment
Hi, folks,



Just re-affirming my $20 pledge.



Thanks



Graham Freeman

Cernio ICT Cooperative

graham.freeman@cernio.com


2006-01-28 20:16:08 Chuck Hagenbuch Comment #10
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Assigning to Horde devs so one of us takes a look at this.
2005-12-06 19:12:18 hordedev (at) markbs (dot) com Comment #9
New Attachment: isee-h3-0.0.1-alpha2.tar.gz
Reply to this comment
Here is the code.  First horde hacking here, so I am eager to hear feedback.
Thanks! You're not being ignored, but most of the core developers are
extremely busy right now. Just be assured that it'll stay in our
inboxes until we can look at it. Also feel free to ask the dev list
to try the patches out and comment, etc.
No worries, I completely understand.  Here is an updated version that 
is a bit more cleaned up and has better patches.


2005-12-06 16:39:48 Chuck Hagenbuch Comment #8 Reply to this comment
Here is the code.  First horde hacking here, so I am eager to hear feedback.
Thanks! You're not being ignored, but most of the core developers are 
extremely busy right now. Just be assured that it'll stay in our 
inboxes until we can look at it. Also feel free to ask the dev list to 
try the patches out and comment, etc.
2005-12-05 04:02:28 hordedev (at) markbs (dot) com Comment #7 Reply to this comment
Here is the code.  First horde hacking here, so I am eager to hear feedback.
imp patch is in scripts/imp.patch.txt
Missed part of the imp patch (a php.dist file in config):



--- ORIG/imp-h3-4.0.4/config/prefs.php.dist     2005-10-04 
12:09:11.000000000 -0400

+++ horde/imp-h3-4.0.4/config/prefs.php.dist    2005-12-04 
22:56:47.000000000 -0500

@@ -121,6 +121,13 @@

      'url' => 'filterprefs.php'

  );



+$prefGroups['mailbox_highlight'] = array(

+    'column' => _("Other Options"),

+    'label' => _("Mailbox Highlighting"),

+    'desc' => _("Create highlighting rules to visually organize your 
mailboxes."),

+    'url' => 'highlightprefs.php'

+);

+

  $prefGroups['addressbooks'] = array(

      'column' => _("Other Options"),

      'label' => _("Address Books"),

@@ -975,6 +982,13 @@



  // End Display Options preferences



+// Mailbox Highlighting

+$_prefs['mailbox_highlight_enable'] = array(

+    'value' => 0,

+    'locked' => false,

+    'shared' => false,

+    'type' => 'implicit');

+// end Mailbox Highlighting



  // Filter preferences

  // a value of 0 = no, 1 = yes


2005-12-05 03:49:46 hordedev (at) markbs (dot) com Comment #6 Reply to this comment
Here is the code.  First horde hacking here, so I am eager to hear feedback.
imp patch is in scripts/imp.patch.txt
2005-12-05 03:45:42 hordedev (at) markbs (dot) com Comment #5
New Attachment: isee-h3-0.0.1-alpha.tar.gz
Reply to this comment
Here is the code.  First horde hacking here, so I am eager to hear feedback.
2005-12-05 02:52:46 Chuck Hagenbuch Comment #4 Reply to this comment
Well, not sure how much we can say without seeing the code. So sure.
2005-12-05 01:46:40 hordedev (at) markbs (dot) com Comment #3 Reply to this comment
I have implemented mailbox message highlighting using IMP H3 4.0.4.   
It is implemented as a new horde package called ISEE.  I used the INGO 
code as the basis.  The patch against IMP is very minor.  Shall I send 
it along?  I consider it to be fairly complete (except for 
translations).  If there is anything that I can do to make it more 
easily accepted, please let me know.


2004-12-05 16:42:36 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
Should be implemented through using Ingo, the CategoryManager and the 
existing color coding for fetched mails.
2004-12-03 22:02:56 graham (dot) freeman (at) cernio (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Message highlighting
Queue ⇒ IMP
Reply to this comment
My customers want to be able to highlight messages in IMP.  For some 
of them, that's the only missing feature that ever causes them to 
revert to Squirrelmail.  For example, Jane wants to configure a filter 
to automatically highlight in red all messages from her boyfriend.



I'll contribute US$20.00 (maybe more if someone else throws down some 
dough, too) toward getting this feature implemented.


Saved Queries